summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-02-23 20:03:10 +0100
committerChristian Grothoff <christian@grothoff.org>2020-02-23 20:03:10 +0100
commitfc2d9328626991a3fa03f0d52b00e7fb7b77663f (patch)
treeb2af2bd21ef71a55a65935fe18a4e5d8ba18db22 /bin
parent87a2b92ab4d164a389d01ff8ce172f10b4c2587b (diff)
downloaddeployment-fc2d9328626991a3fa03f0d52b00e7fb7b77663f.tar.gz
deployment-fc2d9328626991a3fa03f0d52b00e7fb7b77663f.tar.bz2
deployment-fc2d9328626991a3fa03f0d52b00e7fb7b77663f.zip
import generated keys into auditor during preparation; do not run taler-auditor-sign twice
Diffstat (limited to 'bin')
-rwxr-xr-xbin/taler-deployment-prepare22
1 files changed, 9 insertions, 13 deletions
diff --git a/bin/taler-deployment-prepare b/bin/taler-deployment-prepare
index c7de668..bfb71ba 100755
--- a/bin/taler-deployment-prepare
+++ b/bin/taler-deployment-prepare
@@ -46,23 +46,19 @@ case $TALER_ENV_NAME in
;;
esac
-taler-exchange-keyup
-
##
## Step 2: Copy key material and update denom keys
##
+taler-auditor-exchange \
+ -c ${CONFIG_FILE} \
+ -m $(taler-config -c ${CONFIG_FILE} -s exchange -o master_public_key) \
+ -u $(taler-config -c ${CONFIG_FILE} -s exchange -o base_url) || true
-case $TALER_ENV_NAME in
- demo|test|int)
- ;;
- *)
- echo "Not copying private keys for env $TALER_ENV_NAME"
- ;;
-esac
-
-taler-exchange-keyup
-
+rm -f auditor.in
+taler-exchange-keyup -o auditor.in
+taler-auditor-sign -r auditor.in -o auditor.out
+rm -f auditor.in auditor.out # we don't actually use the auditor's signatures in the demo!
##
## Step 3: Sign the exchange's wire information
@@ -75,7 +71,7 @@ chmod 770 $WIRE_RESPONSE
##
-## Step 4:
+## Step 4:
##
case $TALER_ENV_NAME in